Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Sep 2022 13:26:30 +0200

Philip Kaludercic <[email-masked]> writes:

> Not necessarily, a word might appear to be a typo (but is actually just
> not in the dictionary) but I would still like to search the buffer using
> occur to see where else it appears.  If context-menu-mode is enabled, I
> think it would be right for the same context menu to appear consistently
> (which is still not the case), and have spell-checking be a submenu
> instead of taking over.

So you'd prefer to have the flyspell menu appear as a sub-menu to the
normal (mode-specific) context menu?

I'm not sure whether that's how the context menu was envisioned -- I
thought it was to be, well, context aware, so it'd change based on
what's under point.